> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set model, temperature, token limits and escalation behaviour

> Set model, temperature, token limits and escalation behaviour

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  The agent id.
</ParamField>

### Request body

`AgentSettings`

<ParamField body="model_name" type="string">
  e.g. 'gpt-4.1', 'claude-sonnet-5'.
</ParamField>

<ParamField body="model_provider" type="string">
  e.g. 'openai', 'anthropic'.
</ParamField>

<ParamField body="model_type" type="string" />

<ParamField body="temperature" type="number" />

<ParamField body="max_tokens" type="integer" />

<ParamField body="top_p" type="number" />

<ParamField body="escalation_tag_name" type="string" />

<ParamField body="escalation_team_id" type="string" />

<ParamField body="agent_take_over_tag" type="string" />

### Response

Returns `object`.

### Status codes

| Code  | Meaning                                                  |
| ----- | -------------------------------------------------------- |
| `200` | Settings                                                 |
| `400` | Invalid request. `issues` names the offending field(s).  |
| `401` | Missing, invalid, or expired API key.                    |
| `403` | The key lacks a required scope.                          |
| `404` | Not found, or not in the organization that owns the key. |
| `429` | Rate limit exceeded.                                     |

### Access

|                |                        |
| -------------- | ---------------------- |
| Required scope | `agents:write`         |
| Rate limit     | 30 requests per minute |

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://response.stateset.com/api/v1/agents/{id}/settings' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "model_name": "string",
    "model_provider": "string",
    "model_type": "string",
    "temperature": 1,
    "max_tokens": 1,
    "top_p": 1,
    "escalation_tag_name": "string",
    "escalation_team_id": "string",
    "agent_take_over_tag": "string"
  }'
  ```
</RequestExample>
